# $Revision: 1.12 $, $Date: 2010/06/06 08:29:53 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Acme
%define	pnam	Damn
Summary:	Acme::Damn - 'Unbless' Perl objects
Summary(pl.UTF-8):	Acme::Damn - "odbłogosławianie" obiektów Perla
Name:		perl-Acme-Damn
Version:	0.04
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	71b2eabfe0601c7d9ff850aab5f86567
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Acme::Damn provides a single routine, damn(), which takes a blessed
reference (a Perl object), and unblesses it, to return the original
reference. I can't think of any reason why you might want to do this,
but just because it's of no use doesn't mean that you shouldn't be
able to do it.

%description -l pl.UTF-8
Acme::Damn dostarcza jedną funkcję: damn(), która przyjmuje
pobłogosławioną referencję (obiekt perlowy) i odbłogosławia ją, aby
zwrócić oryginalną referencję. Nie znaleziono na razie powodu, żeby to
robić, ale to, że takie działanie nie ma zastosowania, nie znaczy, że
nie powinno dać się tego zrobić.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Acme
%{perl_vendorarch}/Acme/*.pm
%dir %{perl_vendorarch}/auto/Acme
%dir %{perl_vendorarch}/auto/Acme/Damn
%{perl_vendorarch}/auto/Acme/Damn/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Acme/Damn/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Acme-Damn.spec,v $
Revision 1.12  2010/06/06 08:29:53  arekm
- release 2

Revision 1.11  2009/06/15 07:31:02  amateja
- updated to 0.04
- added BR perl-Test-Exception

Revision 1.10  2008/02/23 19:45:20  glen
- release 4

Revision 1.9  2008-02-10 11:58:22  arekm
- rel 3

Revision 1.8  2008-01-14 20:55:33  glen
- missing dirs; rel 2

Revision 1.7  2008-01-10 08:38:34  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.6  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.4  2006/04/07 20:10:14  agaran
- up to 0.03, rel1 builds here

Revision 1.3  2004/12/01 10:46:10  radek
- standarized Source0 URL

Revision 1.2  2004/11/20 13:55:23  qboosh
- pl

Revision 1.1  2004/11/18 22:28:54  radek
- new
